summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorChris <xchrisx@uber.space>2020-03-27 15:52:03 +0100
committerTDE Gitea <gitea@mirror.git.trinitydesktop.org>2020-03-27 23:06:31 +0000
commit10eafe761e278f80b45d1d368587fa7a4b33a3c8 (patch)
tree81908c99fe43d265b5e8edda291695fd9e0a2345
parent8c8b89ada2c98933f1bc50dc8c973d5d80b6d620 (diff)
downloadtde-packaging-gentoo-10eafe76.tar.gz
tde-packaging-gentoo-10eafe76.zip
Live ebuilds: Add preliminary `KBookReader` ebuild.
Signed-off-by: Chris <xchrisx@uber.space>
-rw-r--r--trinity-apps/kbookreader/kbookreader-9999.ebuild28
1 files changed, 28 insertions, 0 deletions
diff --git a/trinity-apps/kbookreader/kbookreader-9999.ebuild b/trinity-apps/kbookreader/kbookreader-9999.ebuild
new file mode 100644
index 00000000..75d14dca
--- /dev/null
+++ b/trinity-apps/kbookreader/kbookreader-9999.ebuild
@@ -0,0 +1,28 @@
+# Copyright 2020 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+TRINITY_MODULE_TYPE="applications"
+
+TRINITY_EXTRAGEAR_PACKAGING="yes"
+TRINITY_HANDBOOK="optional"
+
+TRINITY_LANGS="cs de nl"
+
+inherit trinity-base-2
+
+DESCRIPTION="eBook reader for TDE"
+HOMEPAGE="http://trinitydesktop.org/"
+LICENSE="|| ( GPL-2 GPL-3 )"
+
+need-trinity
+
+SLOT="${TRINITY_VER}"
+
+src_configure() {
+ mycmakeargs=(
+ -DBUILD_TRANSLATIONS=ON
+ )
+
+ trinity-base-2_src_configure
+} \ No newline at end of file